/*
 * pitchtune - an instrument tuner
 * Copyright (C) 2000 Haakon Andre Hjortland
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * \file sel_guitar.h
 * \brief Guitar note selector header file
 */

/* prevent including twice */
#ifndef _SEL_GUITAR_H
#define _SEL_GUITAR_H



/**** Global variables */

GtkWidget *sel_guitar_window;
int sel_guitar_window_visible;



/**** Variables */

/* GTK variables */
/*GtkWidget *sel_guitar_window; */
GtkWidget *sel_guitar_gtk_pixmap1;
GdkPixmap *sel_guitar_gdk_pixmap1;
GdkPixmap *sel_guitar_gdk_pixmap_picture;
GtkWidget *sel_guitar_eventbox1;

/*int sel_guitar_window_visible; */

int sel_guitar_last_position; /* Last string position drawn */


/**** Function declarations */

void sel_guitar_init();
void sel_guitar_show_window();
void sel_guitar_hide_window();
void sel_guitar_set_note(gboolean note_set, int note);
void sel_guitar_set_note_by_pos(int pos);


gboolean sel_guitar_on_window1_delete_event(GtkWidget *widget,
					    GdkEvent *event, gpointer user_data);
gboolean sel_guitar_on_eventbox1_button_press_event(GtkWidget *widget,
						    GdkEventButton *event, gpointer user_data);
gboolean sel_guitar_on_eventbox1_key_press_event(GtkWidget *widget,
						 GdkEventKey *event, gpointer user_data);




#endif
/* #ifndef _SEL_GUITAR_H */
