/*
 * pitchtune - an instrument tuner
 * Copyright (C) 2000 Haakon Andre Hjortland
 * Copyright (c) 2005 Alexandre Bourget
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * \file tuner.h
 * \brief The tuner part of the program, header file
 *
 * Prototypes of the functions that do the tuning job.
 */

/* Prevent this file from being included twice */
#ifndef _TUNER_H
#define _TUNER_H


enum process_data_redo_style
{
    PROCESS_DATA_REDO_NONE, /* Don't redo */
    PROCESS_DATA_REDO_BIGSTEP, /* Redo. Every samplepiece */
                               /*should contain unique data */
    PROCESS_DATA_REDO_SMALLSTEP /* Redo. Displace only one wavelength from one */
                                /* samplepiece to the next */
};


void start_tuner();
void stop_tuner();
int timer_func (gpointer data);
void draw_samplepieces(GdkWindow *window, int update);
void process_data(enum process_data_redo_style redo, gboolean coarse_mode);

/* ifndef _TUNER_H */
#endif
